STRUCT PLATFORM_NAND(9)

NAME
struct_platform_nand_chip - chip level device structure

SYNOPSIS

struct platform_nand_chip {
  int nr_chips;
  int chip_offset;
  int nr_partitions;
  struct mtd_partition * partitions;
  struct nand_ecclayout * ecclayout;
  int chip_delay;
  unsigned int options;
  unsigned int bbt_options;
  const char ** part_probe_types;
};

MEMBERS

nr_chips
    max. number of chips to scan for

chip_offset
    chip number offset

nr_partitions
    number of partitions pointed to by partitions (or zero)

partitions
    mtd partition list

ecclayout
    ECC layout info structure

chip_delay
    R/B delay value in us

options
    Option flags, e.g. 16bit buswidth

bbt_options
    BBT option flags, e.g. NAND_BBT_USE_FLASH

part_probe_types
    NULL-terminated array of probe types

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT